"use strict";
var IComponent = (function () {
    function IComponent(name, rootUrl) {
        this.moduleFileName = 'module';
        this.controllerFileName = 'controller';
        this.factoryFileName = 'factory';
        this.serviceFileName = 'service';
        this.directiveFileName = 'directive';
        this.templateFileName = 'template';
        this.renameNames(name);
        this.rootUrl = IComponent.rootUrlPrefix + rootUrl;
        this.renameUrls();
    }
    IComponent.prototype.renameNames = function (name) {
        this.name = name;
        this.moduleName = name + '-module';
        this.controllerName = name + '-controller';
        this.factoryName = name + '-factory';
        this.serviceName = name + '-service';
        this.directiveName = 'tvo' + name.charAt(0).toUpperCase() + name.slice(1);
        this.templateName = name + '-template';
    };
    IComponent.prototype.renameUrls = function () {
        this.rootUrl = '/' + this.rootUrl.split('/').filter(Boolean).join('/') + '/';
        this.moduleUrl = this.rootUrl + this.moduleFileName;
        this.controllerUrl = this.rootUrl + this.controllerFileName;
        this.factoryUrl = this.rootUrl + this.factoryFileName;
        this.serviceUrl = this.rootUrl + this.serviceFileName;
        this.directiveUrl = this.rootUrl + this.directiveFileName;
        this.templateUrl = this.rootUrl + this.templateFileName + '.html';
    };
    return IComponent;
}());
IComponent.rootUrlPrefix = '';
exports.IComponent = IComponent;
//# sourceMappingURL=IComponent.js.map